| ghc-6.10.4: The GHC API | Contents | Index

CmmProcPointZ

Synopsis

callProcPoints :: CmmGraph -> ProcPointSet
minimalProcPointSet :: ProcPointSet -> CmmGraph -> FuelMonad ProcPointSet
addProcPointProtocols :: ProcPointSet -> ProcPointSet -> CmmGraph -> FuelMonad CmmGraph
splitAtProcPoints :: CmmFormalsWithoutKinds -> CLabel -> ProcPointSet -> CmmGraph -> FuelMonad [CmmGraph]

Documentation
callProcPoints :: CmmGraph -> ProcPointSet
minimalProcPointSet :: ProcPointSet -> CmmGraph -> FuelMonad ProcPointSet
addProcPointProtocols :: ProcPointSet -> ProcPointSet -> CmmGraph -> FuelMonad CmmGraph
Function optimize_calls chooses protocols only for those proc points that are relevant to the optimization explained above. The others are assigned by `add_unassigned`, which is not yet clever.
splitAtProcPoints :: CmmFormalsWithoutKinds -> CLabel -> ProcPointSet -> CmmGraph -> FuelMonad [CmmGraph]
Produced by Haddock version 2.4.2